package jp.ossc.petstore.dto.peerdto;

import jp.ossc.petstore.dto.BaseDTO;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMessages;

/**
 * Peer DTOの基底クラス
 * 
 * @author ossc
 * @version $Revision: 1.2 $
 */
public class PeerDTO extends BaseDTO {

	/**
	 * ActionForm
	 */
	private ActionForm form;
	
	/** 
	 * ActionMessages
	 */
	private ActionMessages actionMessages = null;

	/**
	 * ActionForm取得
	 * @return ActionFormオブジェクト 
	 */
	public ActionForm getActionForm() {
		return this.form;
	}

	/**
	 * ActionForm設定
	 * @param form ActionFormオブジェクト
	 */
	public void setActionForm(ActionForm form) {
		this.form = form;
	}
	
	/**
	 * ActionMessages取得
	 * @return ActionMessagesオブジェクト
	 */
	public ActionMessages getActionMessages() {
		return actionMessages;
	}

	/**
	 * ActionMessages設定
	 * @param actionMessages ActionMessagesオブジェクト
	 */
	public void setActionMessages(ActionMessages actionMessages) {
		this.actionMessages = actionMessages;
	}

}
